OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - a -

- AcceptClient() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- AcceptConnection() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- AcquireBlitterLock() : VideoDriver_SDL , VideoDriver , VideoDriver_Win32
- ActionCount() : VehicleCargoList
- AdaptT() : AdaptT< T >
- Add() : NWidgetContainer , NWidgetBackground , OverrideManagerBase , OutputBuffer , OutputStore , SmallSet< Tdir, items > , StringData , OrthogonalTileArea , TileMatrix< T, N >
- AddAction() : NetworkClientListPopupWindow
- AddCallback() : ClientNetworkContentSocketHandler
- AddClassBegin() : Squirrel
- AddClassEnd() : Squirrel
- AddConst() : Squirrel
- AddCost() : CommandCost
- AddDemand() : LinkGraphJob::Edge
- AddEdge() : LinkGraph::Node
- AddEntityID() : OverrideManagerBase , IndustryOverrideManager
- AddFacility() : Station
- AddFeederShare() : CargoPacket
- AddFile() : FileScanner , TarScanner , FiosFileScanner , ScenarioScanner , LanguageScanner , ScriptFileChecksumCreator , ScriptScanner
- AddFlow() : LinkGraphJob::Edge , Path , FlowStatMap
- AddFormatL() : CStrA
- AddGRFToActive() : NewGRFWindow
- AddKeycode() : Hotkey
- AddLabels() : ScriptInfo
- AddLine() : StringFilter
- AddLinks() : LinkGraphOverlay
- AddMethod() : Squirrel
- AddMultipleNodes() : CYapfBaseT< Types >
- AddNewNode() : CYapfBaseT< Types >
- AddNode() : SymmetricScaler , AsymmetricScaler , LinkGraph
- AddPacket() : PacketReader
- AddRandomDeviation() : ScriptConfig
- AddRef() : CCountedPtr< Tcls_ >
- AddressFamilyAsString() : NetworkAddress
- AddSetting() : ScriptInfo
- AddSpriteSets() : GrfProcessingState
- AddStartNode() : AyStar
- AddStartupNode() : CYapfBaseT< Types >
- AddStats() : LinkGraphOverlay
- AddToCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- AddToMeta() : VehicleCargoList
- AddToShared() : Vehicle
- AddVehicle() : OrderList
- AfterBlitterChange() : VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL , VideoDriver , VideoDriver_Win32
- AfterCrashLogCleanup() : CrashLog
- AfterDownload() : ClientNetworkContentSocketHandler
- AfterLoad() : CargoPacket
- AfterNewGRFScan() : AfterNewGRFScan
- AgeCargo() : VehicleCargoList
- AIDebugWindow() : AIDebugWindow
- AIListWindow() : AIListWindow
- Aircraft() : Aircraft
- AirportResolverObject() : AirportResolverObject
- AirportScopeResolver() : AirportScopeResolver
- AirportTileIterator() : AirportTileIterator
- AirportTileResolverObject() : AirportTileResolverObject
- AirportTileScopeResolver() : AirportTileScopeResolver
- AirportTileTableIterator() : AirportTileTableIterator
- AISettingsWindow() : AISettingsWindow
- Allocate() : ReusableBuffer< T > , NewGRFSpriteLayout
- AllocateBay() : RoadStop
- AllocateData() : SpriteLoader::Sprite
- AllocateDriveThroughBay() : RoadStop
- AllocateRegisters() : NewGRFSpriteLayout
- AllocateStorage() : TileMatrix< T, N >
- AllocPolicy() : ByteBlob
- AllowConnection() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- AllowedSubtags() : AllowedSubtags
- AnchorUnchangeableSettings() : ScriptConfig
- AnimateTile() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback >
- Append() : CStrA , CommandQueue , ByteBlob , StationCargoList , SmallArray< T, B, N > , VehicleCargoList , SmallVector< T, S > , FileList , FixedSizeArray< T, C >
- AppendByte() : Buffer
- AppendC() : FixedSizeArray< T, C > , SmallArray< T, B, N >
- AppendColumn() : SmallMatrix< T >
- AppendQueue() : PacketWriter
- AppendRaw() : ByteBlob
- AppendRow() : SmallMatrix< T >
- AppendShare() : FlowStat
- AppendStr() : CStrA
- AppendUtf8() : Buffer
- ApplyDefaults() : Window
- ApplyWaterClassSpeedFrac() : ShipVehicleInfo
- AreChangesPersistent() : BasePersistentStorageArray
- AreMergable() : VehicleCargoList , StationCargoList
- AssertCountConsistency() : VehicleCargoList
- Assign() : AutoFreePtr< T > , Textbuf , CCountedPtr< Tcls_ > , SmallVector< T, S > , Textbuf , SmallMatrix< T >
- AssignOrder() : Order
- AssignSizePosition() : NWidgetStacked , NWidgetHorizontalLTR , NWidgetVertical , NWidgetBase , NWidgetNewGRFDisplay , NWidgetServerListHeader , NWidgetMatrix , NWidgetBackground , NWidgetHorizontal , NWidgetSmallmapDisplay , NWidgetResizeBase , NWidgetToolbarContainer
- Attach() : CCountedPtr< Tcls_ > , CHashTableSlotT< Titem_ >
- AvailableCount() : StationCargoList
- AwardTo() : Subsidy